;ͻ
; Procedure:   Calculator()                                              
; Author:      Dan Statkus, Laurel, Maryland                             
; Useage:      Pops up a screen window to use for entering numbers or    
;              currency amounts that are added together.  The total is   
;              is then returned to the calling procedure or script for   
;              placing into a field or variable.                         
;ͼ

PROC calculator()
   PRIVATE x, num.n
   total.n = 0.00
   CANVAS OFF
   STYLE ATTRIBUTE 79
   @2,56 ?? "<On Screen Calculator>"
   PaintCanvas 3,55,13,78
   @3,55 ?? "ͻ"
   
   FOR x FROM 4 TO 13
   @x,55 ?? "                       "
   ENDFOR
   
   @13,55 ?? "ͼ"
   @14,60 ?? "Enter <0> to End"
   STYLE REVERSE
   CANVAS ON
   
   FOR x FROM 4 TO 12
   @x,56
   ACCEPT "$"  REQUIRED TO num.n
   
   IF RetVal = False THEN; Esc pressed
      QuitLoop              ; Leave total.n at 0
   ENDIF
   
   IF num.n  = 0 THEN
      QuitLoop
   ENDIF
   
   @x,56 ?? SPACES(23)
   @x,66 ?? FORMAT("W11.2,EC,AR,SP,",num.n)
   total.n = total.n + num.n
   ENDFOR
   
   STYLE
   CLEAR
   RETURN total.n
ENDPROC

; The following lines are for demo only and should be removed

total.n = STRVAL(calculator())
@10,10 ?? "The total for the amounts you entered is $"+total.n+"."
MESSAGE "Press any key ......"
char=GETCHAR()

